Bug 1270810 - diff sees non-existent differences
diff sees non-existent differences
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: diffutils (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 08:40 EDT by Andrew Dinn
Modified: 2015-12-02 13:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:39:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
first input file to diff command (365.34 KB, text/x-csrc)
2015-10-12 08:40 EDT, Andrew Dinn
no flags Details
second input file to diff (433.57 KB, text/x-csrc)
2015-10-12 08:41 EDT, Andrew Dinn
no flags Details

  None (edit)
Description Andrew Dinn 2015-10-12 08:40:39 EDT
Created attachment 1081996 [details]
first input file to diff command

diff is seeing non-existent differences between two (mercurial) revisions of an input file. it correctly displays the actual differences introduced in the check-in. However, it also gets confused and displays differences between identical lines.


Version-Release number of selected component (if applicable):

  diff (GNU diffutils) 3.3

How reproducible:

Run diff on the two attached files aarch64.ad.0 and aarch64.ad.1

The output shows a sequence of changes for the block of 429 lines starting at aarch64.ad.0:4954 (ends at 5383) and aarch64.ad.1:6760 (ends at 7189)

Steps to Reproduce:
1. run diff on the two attached files aarch64.ad.0 and aarch64.ad.1
2.
3.

Actual results:
diff output for 428 lines starting at 4954/6760, respectively

Expected results:
no output for text in that region of the file

Additional info:

n.b. the two files include a very large change added to aarch64.ad.1 starting at line 1000. Removing this inserted text from aarch64.ad.1 stops the erroneous diff output from appearing.

When I tried chopping the inserted text down to the leading ~1/2 the erroneous diff was still present. Chopping to ~1/4 caused the the erroneous output to disappear. So, I thought hmm, lets try chopping just the leading ~1/4 but the erroneous output was still generated.

If I use hg diff to identify the differences between the two mercurial repo versions the erroneouosly signalled differences are not present. The mercurial version is

  Mercurial Distributed SCM (version 3.0)
Comment 1 Andrew Dinn 2015-10-12 08:41 EDT
Created attachment 1081997 [details]
second input file to diff
Comment 2 Fedora End Of Life 2015-11-04 05:12:40 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 10:39:24 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.